> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Company Locations

> Returns all Locations for the Company



## OpenAPI

````yaml /swagger.json get /Company/{companyReferenceId}/Locations
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Company/{companyReferenceId}/Locations:
    get:
      tags:
        - Company
      summary: List Company Locations
      description: Returns all Locations for the Company
      parameters:
        - name: companyReferenceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetLocationListResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetLocationListResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetLocationListResponse'
components:
  schemas:
    GetLocationListResponse:
      type: object
      properties:
        locations:
          type: array
          items:
            $ref: '#/components/schemas/LocationDto'
      additionalProperties: false
    LocationDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        address:
          $ref: '#/components/schemas/AddressDto'
      additionalProperties: false
    AddressDto:
      type: object
      properties:
        streetNumberAndName:
          type: string
        apartmentNumber:
          type: string
          nullable: true
        city:
          type: string
        zipCode:
          type: string
        state:
          type: string
        country:
          type: string
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````